# Function addWindow

- addWindow(scene, x, y, width, height, mergeMaskTop?, mergeMaskLeft?, maskOffsetX?, maskOffsetY?, windowVariant?): Phaser.GameObjects.NineSlice

- #### Parameters

  - scene: default
  - x: number
  - y: number
  - width: number
  - height: number
  - `Optional` mergeMaskTop: boolean
  - `Optional` mergeMaskLeft: boolean
  - `Optional` maskOffsetX: number
  - `Optional` maskOffsetY: number
  - `Optional` windowVariant: WindowVariant

  #### Returns Phaser.GameObjects.NineSlice

  - Defined in src/ui/ui-theme.ts:39